package com.hwrj.cloud.admin.dao;

import com.hwrj.cloud.admin.dto.param.SelectNewVo;
import com.hwrj.cloud.admin.dto.param.SelectVo;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper
public interface UmsCompanyInfoDao {
    long deleteCheck(Long id);

    List<SelectNewVo> selectList(@Param("compId") Long compId);

    List<SelectVo> alllist();
}
